#ifdef VHDL_TESTBENCH
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Signal.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Signal::get_clock"
  Signal * Signal::get_clock (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    Signal * _return;

    if ((_presence_port == CLOCK_VHDL_YES) or
	(_presence_port == CLOCK_VHDL_NO ))
      _return = this;
    else
      _return = NULL;

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
